exports.geo = function(navController) {

var mainWindow = Titanium.UI.createWindow({
     title: 'Localizame',
     backgroundColor: '#FFF'
});

var cuallatitud;
var cuallongitud;
var ubicacion;


var mapView; 



var longitude=0;
var latitude=0;




Titanium.Geolocation.accuracy = Titanium.Geolocation.ACCURACY_BEST;
	Titanium.Geolocation.distanceFilter = 10;
	Ti.Geolocation.purpose = "Mostrar estaciones más cercanas";
	Titanium.Geolocation.getCurrentPosition(function(e) {
    
    longitude = e.coords.longitude;
    latitude = e.coords.latitude;
    var heading = e.coords.heading;
    var accuracy = e.coords.accuracy;
    var speed = e.coords.speed;
    var timestamp = e.coords.timestamp	;
    var altitudeAccuracy = e.coords.altitudeAccuracy;
    
    });

/*
radiocerca[2]=radiocerca[2]*100;
radiocerca[2]=Math.floor(radiocerca[2]);
radiocerca[2]=radiocerca[2]/100;
*/


   

setTimeout(function (){PonerNotas();},1000);


function PonerNotas(){

mapView = Titanium.Map.createView({
   mapType: Titanium.Map.STANDARD_TYPE,
   width: '100%',
   height: '80%',
   top: '5%',
    region: {
        latitude: latitude,
        longitude: longitude,
        latitudeDelta:0.02,
        longitudeDelta:0.02    
    },
    animate: true,   regionFit: true, userLocation:true, zoom: 50
});
mainWindow.add(mapView);

latitude=latitude*10000;
latitude=Math.floor(latitude);
latitude=latitude/10000;

longitude=longitude*10000;
longitude=Math.floor(longitude);
longitude=longitude/10000;


if (Ti.Platform.osname == "iphone"){


	cuallatitud = Titanium.UI.createLabel({
	text: 'Latitud : '+latitude,
	top: '-95%',
	left: '0%'
	});

cuallongitud = Titanium.UI.createLabel({
	text: 'Longitud : '+longitude,
	top: '-95%',
	left: '50%'
	});
	
} 
else if (Ti.Platform.osname == "android")
{
	
	cuallatitud = Titanium.UI.createLabel({
	text: 'Latitud : '+latitude,
	top: '0%',
	left: '0%'
	});

cuallongitud = Titanium.UI.createLabel({
	text: 'Longitud : '+longitude,
	top: '0%',
	left: '50%'
	});
	
}
	
	
	Titanium.Geolocation.reverseGeocoder(latitude,longitude,function(evt)
		{
			if (evt.success) {
				var places = evt.places;
				if (places && places.length) {
					ubicacion.text = 'Ubicación: '+places[0].address;
					//alert(places[0].address);
					//alert("Hola");
				} else {
					ubicacion.text = "Dirección desconocida";
				}
				//Ti.API.debug("reverse geolocation result = "+JSON.stringify(evt));
			}
			else {
				Ti.UI.createAlertDialog({
					title:'No fue posible ubicarte',
					message:evt.error
				}).show();
			}
		});
 

	
	
	
ubicacion = Titanium.UI.createLabel({
	text: 'Ubicación:',
	top: '86%',
	left: '0%'
});


mainWindow.add(cuallatitud);
mainWindow.add(cuallongitud);
mainWindow.add(ubicacion);

    
    var annotation = Titanium.Map.createAnnotation({
	latitude: latitude,
	longitude: longitude,
	title: ''+L("whereiam"),
	subtitle: ''+L("whereiam"),
	image: 'ubicame.png',
	leftButton: 'ubicame.png',
	animate:true
	});
    
	 mapView.addAnnotation(annotation);
	 
}

if (Ti.Platform.osname == "iphone"){
	
	var tipo=0;

var btnAcercade=Ti.UI.createButton({title: "Vista Satelital",height:'20',width:'30'});
mainWindow.setRightNavButton(btnAcercade);
btnAcercade.addEventListener('click', function() {      
	
		tipo = tipo^1;
		if(tipo==0){
			mapView.setMapType(Titanium.Map.STANDARD_TYPE);
			btnAcercade.title="Vista Satelital";
		}
		if(tipo==1){
			mapView.setMapType(Titanium.Map.SATELLITE_TYPE);
			btnAcercade.title="Vista Normal";
		}
		
		});
	
	
} 
else if (Ti.Platform.osname == "android")
{
	var dialog = Titanium.UI.createOptionDialog();
	mainWindow.activity.onCreateOptionsMenu = function(e) {
		var menu = e.menu;
		var m1 = menu.add({ title : 'Vista Normal' });
		m1.addEventListener('click', function(e) {
			mapView.setMapType(Titanium.Map.STANDARD_TYPE);

		});
	};

mainWindow.activity.onPrepareOptionsMenu = function(e) {
		var menu = e.menu;
		var mi = menu.findItem(2);
		if (mi == null) {
			mi = menu.add({
				itemId : 2,
				order : 1,
				title : 'Vista Satelital'
			});
			mi.addEventListener('click', function(e) {
				mapView.setMapType(Titanium.Map.SATELLITE_TYPE);

			});
		}
	};
}
//mainWindow.add(cuallatitud);
//mainWindow.add(cuallatitud);



return mainWindow;
};
